%define name	ksensors
%define version	0.7.2
%define release	8mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/KDE
License:	GPL
Source0:	http://unc.dl.sourceforge.net/sourceforge/kmess/%{name}-%{version}.tar.bz2
Source1:	%{name}-icon-48x48.png.bz2
Patch0:         %{name}-applnk-comment.patch.bz2
URL:		http://ksensors.sourceforge.net
BuildRequires:	libqt3-devel libz-devel XFree86-devel liblm_sensors-devel kdelibs-devel
BuildRequires:	libpng-devel libjpeg-devel libart_lgpl2-devel
Requires:	lm_sensors
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	KDE frontend for lm_sensors


%description
KSensors is a nice frontend for lm-sensors, a set of tools for
monitoring the hardware health of Linux systems equipped with
certain hardware health monitoring hardware such as the LM78
or LM75, and HDDtemp, a tool for monitoring hard drive temperatures.
It also serves as a system resource monitor.

%prep
%setup -q
%patch0 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--host=%{_target_platform} \
		--target=%{_target_platform} \
		--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3
#		--enable-final
#fails to build with this one

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Applications/Monitoring" $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} kde
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -d $RPM_BUILD_ROOT%{_liconsdir}; bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/*/%{name}
%doc AUTHORS INSTALL TODO README ChangeLog FAQ
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applnk/Applications/%{name}.desktop
%{_datadir}/autostart/%{name}.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/locolor/16x16/apps/%{name}.png
%{_iconsdir}/locolor/32x32/apps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Sun Aug 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.7.2-8mdk
- really rebuild with latest lm_sensors (i sux)

* Sun Aug 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.7.2-7mdk
- rebuild for new lm_sensors

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.2-6mdk
- rebuild

* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.2-5mdk
- fix path to qt3 (lib64 issues..)
- pass compile flags to configure in stead of make

* Mon Mar 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.2-4mdk
- added missing buildrequires

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-3mdk
- fix url (giuseppe)

* Sun Mar 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.2-2mdk
- Requires: lm_sensors

* Sat Mar 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7.2-1mdk
- initial release
